Summary: Cross platform Zero Configuration Networking library 
Name: mono-zeroconf
Version: 0.9.0
Release: %mkrel 16
Source0: http://download.banshee-project.org/mono-zeroconf/%{name}-%{version}.tar.bz2
# From debian:
Patch100: make_shamrock_use_4.5_classlib
License: BSD
Group: System/Libraries
Url: https://mono-project.com/Mono_Zeroconf
BuildArch: noarch
BuildRequires: pkgconfig(mono)
BuildRequires: pkgconfig(monodoc)
BuildRequires: mono-web

%description
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

%package devel
Summary: Development files for %{name}
Group: Development/Other
Requires: %{name} = %{version}-%{release}

%description devel
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi -I.

%configure --libdir=%{_prefix}/lib --disable-docs
%__make

%install
%make_install pkgconfigdir=%{_datadir}/pkgconfig


%files
%doc README COPYING
%{_bindir}/mzclient
%{_prefix}/lib/%name
%{_prefix}/lib/mono/gac/Mono.Zeroconf
%{_prefix}/lib/mono/gac/policy.?.?.Mono.Zeroconf
%{_prefix}/lib/mono/%name

%files devel
%{_datadir}/pkgconfig/mono-zeroconf.pc


%changelog
* Mon Sep 21 2020 tv <tv> 0.9.0-16.mga8
+ Revision: 1629226
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 0.9.0-15.mga8
+ Revision: 1629088
- BR mono-web
- fix build with mono 6
- built without docs because mdoc.exe is not built with Mono 6 and mcs anymore
- rebuild for new mono
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-14.mga8
+ Revision: 1502160
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.9.0-13.mga7
+ Revision: 1279950
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 wally <wally> 0.9.0-12.mga7
+ Revision: 1224036
- add patch from debian to fix build
+ kekepower <kekepower>
- Tidy up spec file a little

* Sun Dec 20 2015 tv <tv> 0.9.0-11.mga6
+ Revision: 912674
- rebuild for mono4

* Thu Dec 03 2015 tv <tv> 0.9.0-10.mga6
+ Revision: 907962
- BR monodoc-devel
- adjust file list
- fix finding mono4 compiler

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-9.mga5
+ Revision: 749954
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-8.mga5
+ Revision: 682583
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.0-7.mga4
+ Revision: 508013
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.0-6.mga3
+ Revision: 360255
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 boklm <boklm> 0.9.0-5.mga1
+ Revision: 76193
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 0.9.0-4.mga1
+ Revision: 72680
- imported package mono-zeroconf

